pldd(1)

NOM
pldd - Afficher les objets dynamiques partagés chargés dans un processus

SYNOPSIS
pldd pid
pldd option

DESCRIPTION
La commande pldd affiche une liste des objets dynamiques partagés (DSO en anglais) chargés dans un processus à partir de son PID. La liste comprend les bibliothèques chargées dynamiquement avec dlopen(3).

OPTIONS

-?, --help
    Afficher un message d'aide puis quitter.

--usage
    Afficher un court message d'aide et terminer.

-V, --version
    Afficher les informations de version du programme puis quitter.

CODE DE RETOUR
En cas de succès, pldd quitte avec le code de retour 0. Si le processus spécifié n'existe pas, si l'utilisateur n'a pas les droits d'accès à la liste de ses objets partagés ou si aucun argument n'est fourni sur la ligne de commande, pldd quitte avec le code de retour 1. En cas d'option non autorisée, il quitte avec le code de retour 64.

VERSIONS
pldd est disponible depuis glibc 2.15.

STANDARDS
La commande pldd n'est pas précisée par POSIX.1. D'autres systèmes ont une commande identique.

NOTES
La commande

    lsof -p PID

affiche aussi une sortie comprenant les objets dynamiques partagés chargés dans un processus.

La commande info shared de gdb(1) affiche également les bibliothèques partagées utilisées par un processus, pour que vous puissiez avoir une sortie identique à pldd en utilisant une commande telle que celle-ci (pour surveiller le processus au pid spécifié) :

    $ gdb -ex "set confirm off" -ex "set height 0" -ex "info shared" \
            -ex "quit" -p $pid | grep '^0x.*0x'

BOGUES
Entre la glibc 2.19 et à la glibc 2.29, pldd était cassé : il plantait pendant l'exécution. Ce problème a été corrigé dans glibc 2.30 et la correction a été rétroportée dans les versions antérieures de glibc dans certaines distributions.

EXEMPLES
    $ echo $$               # Afficher le PID de l'interpréteur
    1143
    $ pldd $$               # Afficher les DSOs liés à l'interpréteur
    1143:   /usr/bin/bash
    linux-vdso.so.1
    /lib64/libtinfo.so.5
    /lib64/libdl.so.2
    /lib64/libc.so.6
    /lib64/ld-linux-x86-64.so.2
    /lib64/libnss_files.so.2

VOIR AUSSI
ldd(1), lsof(1), dlopen(3), ld.so(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Alain Portal <aportal@univ-montp2.fr>, Christophe Blaess <https://www.blaess.fr/christophe/>, David Prévot <david@tilapin.org>, Denis Barbier <barbier@debian.org>, Florentin Duneau <fduneau@gmail.com>, François Micaux, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Julien Cristau <jcristau@debian.org>, Nicolas François <nicolas.francois@centraliens.net>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, Thomas Blein <tblein@tblein.eu>, Thomas Huriaux <thomas.huriaux@gmail.com> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.